<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class TarefaGerChkFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function joinTarefaChk($params) {
        $sql = "SELECT TGC.NRTAREFAGERCHK 
          FROM FCM_TAREFAGERCHK TGC
          JOIN FCM_TAREFACHK TF
          ON TF.NRTAREFACHK = TGC.NRTAREFACHK
        WHERE TGC.NRGERENCIAMENTOCHK = :NRGERENCIAMENTOCHK
        AND TF.NRATIVIDADECHK = :NRATIVIDADECHK";
        
        $std = $this->connection->prepare($sql);
        
        $std->execute($params);
        
        return $std->fetchAll();
    }
    
}
?>